import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetRouteScheduleDetailForViewDto, RouteScheduleDetailDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewRouteScheduleDetailModal',
    templateUrl: './view-routeScheduleDetail-modal.component.html'
})
export class ViewRouteScheduleDetailModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetRouteScheduleDetailForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetRouteScheduleDetailForViewDto();
        this.item.routeScheduleDetail = new RouteScheduleDetailDto();
    }

    show(item: GetRouteScheduleDetailForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
